// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file ValueReader.h */

#ifndef AMDIS_VALUEREADER_H
#define AMDIS_VALUEREADER_H

#include <cstring>
#include "DOFVector.h"
#include "Mesh.h"

namespace AMDiS {

  /** \ingroup Input
   *  
   * \brief
   * Static class which reads a value file in AMDiS format and copies
   * the data to a DOF vector.
   */ 
  class ValueReader
  {
  public:
    /// Copies the values of a value file to a DOF vector.
    static void readValue(std::string filename,
			  Mesh *mesh,
			  DOFVector<double> *dofVector,
			  MacroInfo *macroFileInfo);
  };

}

#endif
